package com.patzn.lims.test;

import com.baomidou.mybatisplus.annotation.DbType;
import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.generator.config.DataSourceConfig;
import com.baomidou.mybatisplus.generator.config.StrategyConfig;
import com.baomidou.mybatisplus.generator.config.po.TableFill;
import com.patzn.lims.core.generator.PostgresqlGenerator;

import java.util.Collections;

/**
 * <p>
 * 代码生成 run 执行
 * </p>
 *
 * @author hubin
 * @Date 2017-08-28
 */
public class PtTobaccoCodeGenerator {

    public static void main(String[] args) {
        new PostgresqlGenerator().setDataSourceConfig(new DataSourceConfig()
                .setDbType(DbType.POSTGRE_SQL)
                .setDriverName("org.postgresql.Driver")
                .setUrl("jdbc:postgresql://192.168.0.115:5432/tobacco_lims_dev")
                .setUsername("postgres")
                .setPassword("123456")
        ).execute();
    }
}
